> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/kpi/list-checkout-kpis",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List checkout kpis


> Get a list of kpis where the transactiosn used is in the aggregations are transactions from "event_created_at_gte",
until now. However, transactions from the "current" interval are not included.\
E.g if week is provided as interval, then no transactions from the current week are included. This is true for
day and month intervals aswell.

Scopes:
  - read:insight
  - admin:insight
**deprecated** 2025-05-20




## OpenAPI

````yaml /mintlify-docs/openapi/spec-insight.yaml get /accounts/{aid}/insight/kpi/checkout
openapi: 3.0.0
info:
  title: Insight API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    # Changelog

    All notable changes to the API.


    ## 2025-09-16


    > Add new report configuration endpoint for updating existing report
    configurations.

    > - [PUT
    /v1/accounts/{aid}/insight/reports/configuration/{report_configuration_id}](#operation/aid_reports_configuration_put)


    ## 2025-05-31


    > Add new KPI endpoint for getting aggregated checkout transaction by
    status.

    > - [GET
    /v1/accounts/{aid}/insight/kpi/checkout-transaction-status](#operation/api_insight_checkout_transactions_status_kpis_get)


    > Add new KPI endpoint for getting aggregated checkout transaction events

    > - [GET
    /v1/accounts/{aid}/insight/kpi/checkout-transaction-events](#operation/api_insight_checkout_transactions_events_kpis_get)


    ## 2025-03-31


    > Extend open transactions report configuration to support csv

    > - [GET
    /v1/accounts/{aid}/insight/report/configuration](#operation/aid_report_configuration_post)


    ## 2024-05-31


    > Add missing response type "Conflict"

    > - [POST
    /v1/accounts/{aid}/insight/reports/configuration](#operation/aid_report_configuration_post)


    ## 2024-05-01


    > Add support for generating Wallets transactions reports and

    > manage Wallets transaction report configuration

    > - [POST
    /v1/accounts/{aid}/insight/generate-report](#operation/aid_insight_service_generate_report)

    > - [POST
    /v1/accounts/{aid}/insight/reports/configuration](#operation/aid_report_configuration_post)


    ## 2022-12-13


    > Extend the `reportFilters` parameter to support filtering on
    `payout_destination_id` for `checkout/transactions`

    > - [POST
    /v1/accounts/{aid}/insight/reports/configuration](#operation/aid_report_configuration_post)


    ## 2022-08-01


    > Extend the `aggregate_functions` query parameter to support `currency`

    > - [GET /v1/accounts/{aid}/insight/kpi/checkout
    ](#operation/api_insight_checkout_kpis_get)


    ## 2022-05-30


    > Updates made to the endpoint - [GET
    /v1/accounts/{aid}/insight/report/configuration](#operation/aid_report_configuration_post)

    > * Added new type of report configuration for checkout transactions,
    allowing reports showing open transactions

    > * Added daily schedule option to existing insight transactions report

    ## 2022-05-13


    > Updated the endpoint - [GET
    /v1/accounts/{aid}/insight/kpi/checkout](#operation/api_insight_checkout_kpis_get)

    > Added new input param `event_created_at_gte` to filter the period to
    create kpis from.


    ## 2022-05-01


    > Change base path for the API to `/v1/accounts/{aid}/insight/`. The
    original

    > prefix `/v1/accounts/{aid}/insight-service/` is deprecated.


    ## 2022-03-07


    > Added endpoint for fetching kpis from checkout data \


    ## 2021-12-01


    > Updated Report configuration with the following fields \

    > * Name (custom report name)

    > * Emails (will be used by the reports api to send email containing the
    final report)

    > * Language

    > * ReportFilters

    > * Added discriminator field to ensure valid report configuration input



    ## 2021-06-29


    > Initial version
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: generate-insight-report
    x-displayName: Generate report
    description: Generate reports from parameters
  - name: report-configuration
    x-displayName: Report configuration
    description: Manage report configurations
  - name: kpi
    x-displayName: KPI
    description: Get KPI data
paths:
  /accounts/{aid}/insight/kpi/checkout:
    get:
      tags:
        - kpi
      summary: |
        List checkout kpis
      description: >
        Get a list of kpis where the transactiosn used is in the aggregations
        are transactions from "event_created_at_gte",

        until now. However, transactions from the "current" interval are not
        included.\

        E.g if week is provided as interval, then no transactions from the
        current week are included. This is true for

        day and month intervals aswell.


        Scopes:
          - read:insight
          - admin:insight
        **deprecated** 2025-05-20
      operationId: api_insight_checkout_kpis_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - name: interval
          in: query
          required: true
          description: |
            The interval over which the data will be aggregated.
          schema:
            type: string
            enum:
              - day
              - week
              - month
        - name: field
          in: query
          required: true
          description: >
            The field (db column) used as source for the kpi, eg, total_amount,
            vat etc.
          schema:
            type: string
            enum:
              - total_amount
        - name: transaction_status
          in: query
          required: true
          description: >
            Only transactions with this status will be included in the
            aggregation
          schema:
            type: string
            enum:
              - CAPTURED
              - REFUNDED
              - AUTHORIZED
        - name: aggregate_functions
          in: query
          required: true
          description: >
            The functions applied to the data for every interval.


            - The functions should be provided as a stringified array

            - At least one function must be provided, `currency` must be
            combined
              with another function

            Available functions:

            - sum

            - avg

            - count

            - currency
          example: '["count","sum","avg","currency"]'
          schema:
            type: string
        - name: event_created_at_gte
          in: query
          required: false
          description: >
            Transaction events with created_at date at or later than this date
            will be included in the aggregations.\

            If this date parameter is not included, all transactions regardless
            of creation date are included.\

            NB! This is not the transactions created_at date, this is the date
            the event was created (e.g AUTHORIZE, CAPTURE etc..)
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/InsightCheckoutKpisList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
  responses:
    InsightCheckoutKpisList:
      description: Checkout KPIs
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/InsightCheckoutKpis'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    InsightCheckoutKpis:
      type: object
      required:
        - kpi_name
        - values
      properties:
        kpi_name:
          enum:
            - avg
            - sum
            - count
        values:
          type: array
          items:
            type: object
            required:
              - value
              - date
            properties:
              currency:
                type: string
                description: |
                  Included if the aggregate_function included `currency`
                example: NOK
              value:
                type: number
                description: >
                  result of applying the aggregate_function for one period
                  defined by

                  the aggregate_level
              date:
                type: string
                format: date-time
                description: |
                  Either the date for the aggregated data(when interval is day)
                  otherwise the first date of the period used to aggregate data
                  (week/month)
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get
        Token](https://docs.dintero.com/api.html#operation/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````